Bug 55727 - header symbol confusion
header symbol confusion
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: libcap (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
: 57066 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 12:48 EST by Trond Eivind Glomsrxd
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-05 13:06:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"Hello World", demonstrating the problem by including the headers. (164 bytes, text/plain)
2001-11-05 12:48 EST, Trond Eivind Glomsrxd
no flags Details

  None (edit)
Description Trond Eivind Glomsrxd 2001-11-05 12:48:01 EST
Any program including <sys/statfs.h> and <sys/capabilities.h> won't compile:

In file included from /usr/include/linux/vfs.h:4,
                 from /usr/include/linux/fs.h:14,
                 from /usr/include/linux/capability.h:17,
                 from /usr/include/sys/capability.h:24,
                 from foo.c:3:
/usr/include/asm/statfs.h:12: redefinition of `struct statfs'

This breaks samba compiles, unless you patch it to believe linux doesn't
support capabilities.
Comment 1 Trond Eivind Glomsrxd 2001-11-05 12:48:58 EST
Created attachment 36471 [details]
"Hello World", demonstrating the problem by including the headers.
Comment 2 Jakub Jelinek 2001-11-05 13:05:02 EST
But sys/capability.h is provided by libcap-devel, not glibc-devel.
The solution is to edit sys/capability.h so that it doesn't include kernel
headers, like:
begin 644 cap.patch.bz2
M0EIH.3%!629365=\F*T`!!'?@&_P6/___7___^J____Z8`T'%K[,30$8FA)V
MPT``!H```H4`AJG@DTTF$R$TPF4\IIZFC3U`R-&(-`>D/3),U#U`:`()H4>I
MD(CTR-1IY0-&@!H#U`'J!D&@.:8C(R:9-`,AHR&3(```9&F1H&$,@2*(C1&C
M1ZAH``````&AH:```#FF(R,FF30#(:,ADR```&1ID:!A#($B($`@)J8IHTTF
MIFH]0]08$T/4::'J/4R?J0-'E("**+IT5C<QV_[&.Z>1T0BBP92R8LN3+,,L
M&,W2*^!/A",M#FS'9C.@34&-NR'7L&GR[.I2`3L-47MTJ[.^-'I)@P@I;0D3
MM*-[%!%C30QC;8VAC0#&)IC8QL:8P;>*U!A(.<K4:,HDLXIZLTC8DFQ)/IW4
MW7L<\D957C0(6;$U93.AT5Z:`+<H<UM]30JD``+]1/=A2WRT8%7LT;-DU0!4
M"*5YD#+@S&O:4C@<S>8\=;BOIY\,\#++*#!WZ^J\/!08Q15"F9A$-E:O:R6&
MBSK/&U*V%8;K_\.+6GU+#7N[VV[QKR<?I3!&=17A3?%<?G0(+VEI%_;"07-S
MY-)\&/:?C:'&GZL_T;F*Q1K[50`I/,T1<*<&8G7":U-4+]=4J]!T!<VID.[.
MW:$NC:+J8%(=#3*J4[G4)O&66[HO[C8T.?!9M^O*G2>YCK)2<K1),IQH)U!D
MS&+50DJ2#O6#`6EMMEW[D>HL=ZS+<K1]B-2Q:[E>__'421(7#/-CE@+L52;E
MYF>=50OR2T7T-(7I<59D'&4<ZVR)JU6=+W%5I+PN/$;Q)`-%[Z_)R+/9DA"Z
M'.\HQGP'0SIPNZ78,*0Z[T&P=[_]=N9B\^F55T;$JL9&%&`UF@ZV$B>X%#OR
MBBB-"\(\L6#UC/51ZLQ[6WYS^";?>;ZFD0QXYP3['$7F=APW)$<^TD7AERF0
M88=Y!O70T=6*F*KW5MYLUY;6&=[GIFA@<>39DV_`IJ#S'L'C,4@4[%N-#BV\
M.+'LJ.$XT10(MH.NUI.9/5T&G@3;(VO7+BG5DX1Z%FTJ;;K/Z)P5+T(,80R2
MB7T:HKE4YI4L?19?G[_%2KX;BS'"^^_AH_Q=&ZO$]CSS4=@E)RG3GWK5@PHQ
M/.M;J)I/54(YI2G&^WS24U]GB:N-)Y8LUQ!:O4*`YZ-LP+#HW2-7VIC13'?<
M)7F<N0B(N1*065!QG7FXE.-TBI`O4QY2L=TK2#?^U"%M:LYM_/^,:0@;26L0
ME`@(&"`^GC^I"0NS22;$`J,+YK30OZ=I/G=W^LS/&C?XI]W?'T\>>QJ>GY2.
M"G(GG^:LFAG%^/>I^+V"`70\(`7XKV.G"8ZP]S%.+N'7@YT',&YX:D;\.!AA
MT]SJ?J/4XX)S%<:!DR48QWP)%!7IDL"FGA1;0IL`33ZZ(V(P(,YQBW\3ZV?`
M&L9K@NJS4?0TNF>OH28I5,<!OE7'4-[,"(2#?'0,Z;_P?I#ZE+)_8ZGW%#[(
M.OY%#$!!B+&$T"#[?\+L&,,TS\\$U2`TK=_614/T;51.^AKC2S<)29#Y3!9$
M*AT7)%'GG5:3-OJ,<&%4RSU95T:HU$*;_"45#DGMS!TS9JAF^M]=?AC0<;2R
M"`AT?[S[.+\!S*<P_RY9(L!212<V.'2]9-<!5'0=#&9QTFMI(@'F%#Z"AMY/
MRF"X4?*]0K!'/IS[:UY5Y\^XMS';C]P]HW!>-NV\WK4-6:UHJJ&Q`,]BEG/?
M"`-&N5JEK6PM8LP8DL"]`45,PX@B'^5,&"J@`36ECI<!U9BI8.NE'7W=<*3G
M)=G[PX;KM'<.X0K.FO6>%1'Z]TZ0=&UJD9%%X-KE*C;CH.>TBF604E$%VNTP
MV#@?W)U<_PQSS+B42G2-2QQ])!M^@<9"SKA+&-\1*6?YPH:9`&2B.A!EXG!!
M_Q.9'["AQ'M`NU4$F@""+$?CV9<8H$V03DS]L+D/]F_+6AAYJ-<SO7/$`C8F
MV2@:I*B`-+`$DMOI!GQ]CO3)5L\LV/K-L[+182S5%3[<W;?_FDL'2$:YK,G(
M[/.HB!AX$>4+P[C.U41R@RI2S*G\4%&AK7(B;-,?VC2LJ'2T&8O-ELXIU!N>
M,65*T%+-.QC;&-.E));JI295(;D38U6B*C$0TX*(V#8<"#8:(UV"\`7A'??-
M26KM)?"*$PT/J]=8HVAUA*,VH&GW>)'HR6.66',2;=B2VQ9*&BJN?O22A$*Q
M04@>/JNC/(&7AQJU?R<S0.=`EGV/PQ26>JSV*/K'FNI.4$08"K$*"H0_9/;I
MY%YQ7.#/(HS#6&91!4=1\!5GC6EK1E.@8H>I:$,9_PU&N^'0V3JZ=W=Z:7TI
M,M7RJU`TMZ*,QO<J;^U%:7].5"U'.4T!^VAP]3:L83S,+49D;'=#!!2FKR.G
M+35HDU14N<UA7RZC+ZF`M=LU58XVO:Y@S1!LV/I7/<M%4M3KSS+&5[E*A/QB
ML`0<[ZA0P%-?++BF6L3=WG8IARY5.5K7K><K^0PN)M+HFH`LL^$SG\L'5F*B
M@JP"\&RQL!SKC(#)?U\=>`(8$,%W&@QKBJ-V5+(O9AH!="H"!FL0@]6KU@/4
MSPJ*K0E3*!4<-)+%!Z+ME0OWF]X90YR%:T2^$]TVMB5Y04O7Q1>=15TCZ&"+
ML%#6WN*(NJ#-GD2P9EH.+#?'UP;<RH<X\C[YH250>V;`:=UHX)6>L(4U=B70
M]EAHS]>"!+5B^(1@-PREBO?WDGOJL`@SQDO@\J!WF"O2)DY4GD^?R94:B,6R
MNX<'OV/)8,DL@>"NI4$VX-@.1/)R@<RC'U92M$"T;8$>ZQXY<!N<USZ^,U9A
M2T=)W[[YA?7&W#.XWDIJ%A5H-HP+*4OC9<T_]]VI^KXPS:NZ":!I\FMFMK=8
M/6V\MC(J-37V34I"BBH>]'1,R-.4Z&<%L8D/PZ9881;!$8/NK@14#)A^40`X
M(2C!JN,GXR.;\^9@$@RZ-/@C1*P5K9;#M!YSXSZ5C=,*C]S%ON1;,?0)7G@<
M*@Z^0038-5*E-*Z?RO*52SH#]7?**L(R@/R4A8&#:BSF1(LR!@G*O.I$!34N
M<^^$JY`C9D!*A#22Q6$7%DEM4!T$@+#J8E2$.OOM'%H`WB!EM!O!`0--0.*$
M4N4'`&O'$78$M&J[#0,54#6%QT#\XS!HA![C/'?2NA'@9AN3AS[$6-T/89#&
MT,8-)-)ML;+[P2ZH/9($!MMEYOZ>F6"T(\N1UU(6GG@WZJZF""]-%Y'\\Z^O
M+!T(1)IW#Y3/MM?7,IF:!/5)`1<:4)7PM!OSA1`!J<.ZRG23>J90E09W)1RJ
M\.E(9-Z9MV_!WNO1I&UW?TQL[4JM9M?25+&(+IIW'`V0TO(?F5^9_14.EX&V
MVKUS)!Z-%"<W41PS:I8.Z]/*R*UC&1B4<-!%J)FJ#R`)QC96^0JLQ4R*HLF)
MG'OJ(T-U&V[^)#G)(-6`U='$J>"C@?*AN-7]T%SO3*<<X+9>F*4J\.6J>UP9
M/2L/G7<*R%!J'E12*;H80P1R:Y2VR5+_6H0;$KXV0Z-9WI"GU6[XJI[*2!0/
M\W9R!($,(,K8F"EO.B7HP"]K$H9V"%,YP4-BOBNTZC$9#4`R/0VAT0'=J`U,
M^6,/&2,U\>1@D,P+E1K1--KY^453,^4QCT..>U_B]F2V]<8XR+<I=<RAK:,!
M&B]0%CES%Q4.]O$3`**08?7!D8ATI!925:]R[@3(,W-L%S)+^9I`9'>*#PM/
M4SJO!$[6EP!JTIN<-<K/*0HP)<+JX:;%5HL:)+)SRQ)D6#-@8&CD$/1U=\IE
MIM:0@'YYJI2#.!V;`\?`K[^O[E_'_+S.2.R4FPUTY*QX=:_?Z=U\R_"9G/EW
MZ0&9Y0JM_/N3T:D3"N"7(Q\\L(6#VAX[!3<QAO1QY\$:^?$UF&FY[PE)^EM)
MM-O0*!5A6CMB1((:`HT)\?-.93)'%"$Q',:6#VG[34P?68@5^6D\2/BD^<C<
B^=>[4/*03$AO*@=Z+$I"-@0ITYE!<X_\7<D4X4)!7?)BM```
`
end
Comment 3 Jakub Jelinek 2001-11-05 13:06:05 EST
Note the patch is untested...
Comment 4 Bernhard Rosenkraenzer 2001-11-09 10:37:33 EST
Fixed in 1.10-6
Comment 5 Trond Eivind Glomsrxd 2001-12-04 11:10:39 EST
*** Bug 57066 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.